# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::RenderQueueSorterByRenderable Class Reference

Sorts the RenderTokens by their Renderable pointer. More...

`#include <RenderQueueSorter.hpp>`

Inheritance diagram for vl::RenderQueueSorterByRenderable:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| RenderQueueSorterByRenderable ()
virtual bool | mightNeedZCameraDistance () const
virtual bool | confirmZCameraDistanceNeed (const RenderToken *) const
virtual bool | operator() (const RenderToken *a, const RenderToken *b) const

## Detailed Description

Sorts the RenderTokens by their Renderable pointer.

## Constructor & Destructor Documentation

vl::RenderQueueSorterByRenderable::RenderQueueSorterByRenderable | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::RenderQueueSorterByRenderable::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderQueueSorter.

virtual bool vl::RenderQueueSorterByRenderable::mightNeedZCameraDistance | ( |  | ) | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

virtual bool vl::RenderQueueSorterByRenderable::confirmZCameraDistanceNeed | ( | const RenderToken * |  | ) | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

virtual bool vl::RenderQueueSorterByRenderable::operator() | ( | const RenderToken * | a,
|  | const RenderToken * | b |
| ) |  |  | const`[inline, virtual]`

Implements vl::RenderQueueSorter.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RenderQueueSorter.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:02 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.